function ExecuteScript(strId)
{
  switch (strId)
  {
      case "6cfpmJqpDHZ":
        Script1();
        break;
      case "5gFPVmCzdsv":
        Script2();
        break;
  }
}

function Script1()
{
  var fso,s;
fso = new ActiveXObject("Scripting.FileSystemObject");
s = fso.OpenTextFile("C:\\test.txt", 8, true, 0);

var player = GetPlayer();
var name = player.GetVar("BB");
s.WriteLine("--------");
s.WriteLine(name);
s.WriteLine("==========");

}

function Script2()
{
  var fso, ts, s ; 

fso = new ActiveXObject("Scripting.FileSystemObject"); 
ts = fso.OpenTextFile("c:\\test.txt", 1); 
s = ts.ReadAll(); 

var player = GetPlayer();
player.SetVar("AA",s);
ts.close();
}

